# Swarms

Orchestrate enterprise-grade agents for multi-agent collaboration and orchestration to automate real-world problems.

<div style="display:flex; margin:0 auto; justify-content: center;">
    <div style="width:25%">
        <h2>Core Concepts</h2>
        <ul>
            <li>
                <a href="swarms/structs/agent.md">
                    Agents
                </a>
            </li>
            <li>
                <a href="swarms/memory/diy_memory.md">
                    Memory
                </a>
            </li>
            <li>
                <a href="swarms/tools/main.md">
                    Tools
                </a>
            </li>
            <li>
                <a href="swarms/structs/task.md">
                    Tasks
                </a>
            </li>
            <li>
                <a href="swarms/structs/agent_rearrange.md">
                    Multi-Agent Orchestration
                </a>
            </li>
        </ul>
    </div>
    <div style="width:25%">
        <h2>How-To Guides</h2>
        <ul>
            <li>
                <a href="swarms/install/install.md">
                    Installing Swarms
                </a>
            </li>
            <li>
                <a href="swarms/install/docker_setup.md">
                    Docker Setup
                </a>
            </li>
            <li>
                <a href="./how-to/Create-Custom-Tools">
                    Create Custom Tools
                </a>
            </li>
            <li>
                <a href="swarms/structs/agent_rearrange.md">
                    Multi-Agent Flows
                </a>
            </li>
            <li>
                <a href="swarms/structs/sequential_workflow.md">
                    Sequential Workflows
                </a>
            </li>
            <li>
                <a href="./how-to/LLM-Connections">
                    Connecting to LLMs
                </a>
            </li>
            <li>
                <a href="./how-to/Customizing-Agents">
                    Customizing Agents
                </a>
            </li>
            <li>
                <a href="./how-to/Human-Input-on-Execution">
                    Human Input on Execution
                </a>
            </li>
            <li>
                <a href="./how-to/AgentOps-Observability">
                    Agent Monitoring with AgentOps
                </a>
            </li>
        </ul>
    </div>
    <div style="width:25%">
        <h2>Examples</h2>
        <ul>
            <li>
                <a target='_blank' href="applications/business-analyst-agent.md">
                    Swarm of Buisness Analysts for Business Reports
                </a>
            </li>
            <li>
                <a target='_blank' href="https://medium.com/@kyeg/building-compliance-agents-with-chroma-db-llama3-sop-prompting-0ed3e73559d2">
                    Compliance Swarm for Customer Privacy
                </a>
            </li>
            <li>
                <a target='_blank' href="https://medium.com/@kyeg/announcing-neosapiens-self-replicating-swarms-0a47410aafa7">
                    Self-Replicating Hiearchical Swarms
                </a>
            </li>
        </ul>
    </div>
    <div style="width:25%">
        <h2>Community</h2>
        <ul>
            <li>
                <a target='_blank' href="https://discord.gg/3Zck7nX6">
                    Join the Swarms Community!
                </a>
            </li>
            <li>
                <a target='_blank' href="https://github.com/kyegomez/swarm-ecosystem">
                    Swarms Ecosystem
                </a>
            </li>
            <li>
                <a target='_blank' href="https://cal.com/swarms/swarms-onboarding-session">
                    Support Team
                </a>
            </li>
            <li>
                <a target='_blank' href="https://cal.com/swarms/swarms-onboarding-session">
                    Book a 1 on 1 Call With Founder: Kye
                </a>
            </li>
        </ul>
    </div>
</div>